package com.oracle.example.jdk9jfr.enabledisable;

import java.io.IOException;

import com.oracle.example.jdk9jfr.fib.Fibonacci;
import com.oracle.example.jdk9jfr.fib.FibonacciEvent;

/**
 * Calculates Fibonacci numbers perpetually.
 */
public class EnableDisableTesterFibonacci {
	public static void main(String[] args) throws IOException, InterruptedException {
		int n = 0;
		while (true) {
			long fibValue = calculateFibonacci(n++);
			if (fibValue > Long.MAX_VALUE / 2) {
				n = 0;
			}
			Thread.sleep(2);
		}
	}

	private static long calculateFibonacci(int n) {
		FibonacciEvent event = new FibonacciEvent();
		event.begin();
		event.number = n;
		long fibValue = Fibonacci.fibonacciIterative(n);
		event.value = fibValue;
		event.commit();
		return fibValue;
	}
}
