package com.oracle.example.jdk9jfr.fib;

/**
 * Example class used to demonstrate the JDK Flight Recorder. Calculates the
 * n:th Fibonacci.
 * 
 * @author Marcus Hirt
 */
public class Fibonacci {

	/**
	 * Calculates the n:th Fibonacci number recursively.
	 * 
	 * @param n
	 *            the position in the Fibonacci series to calculate.
	 * @return the value of the n:th Fibonacci number
	 */
	public static long fibonacciRecursive(long n) {
		if (n == 0) {
			return 0;
		} else if (n == 1) {
			return 1;
		}
		return fibonacciRecursive(n - 2) + fibonacciRecursive(n - 1);
	}

	/**
	 * Calculates the n:th Fibonacci number iteratively.
	 * 
	 * @param n
	 *            the position in the Fibonacci series to calculate.
	 * @return the value of the n:th Fibonacci number
	 */
	public static long fibonacciIterative(long n) {
		long x = 0, y = 1, z = 1;
		for (long i = 0; i < n; i++) {
			x = y;
			y = z;
			z = x + y;
		}
		return x;
	}
}
