package com.oracle.example.jdk9jfr.fib;

import jdk.jfr.Category;
import jdk.jfr.Description;
import jdk.jfr.Enabled;
import jdk.jfr.Event;
import jdk.jfr.Label;

/**
 * Event for the calculation of a Fibonnaci number.
 * 
 * @author Marcus Hirt
 */
@Label("Fibonacci")
@Description("A test event for showing the difference in generated code when enabled vs. disabled.")
@Category("enabledisable")
@Enabled(true)
public class FibonacciEvent extends Event {
	@Label("Fibonacci Number")
	@Description("The number in the sequence calculated, i.e. the n:th number.")
	public int number;

	@Label("Fibonacci Sum")
	@Description("The value of the n:th number.")
	public long value;
}
