package com.oracle.example.jdk9jfr.parser;

import java.io.IOException;
import java.nio.file.Paths;
import java.time.Duration;
import java.time.temporal.ChronoUnit;

import jdk.jfr.consumer.RecordedEvent;
import jdk.jfr.consumer.RecordingFile;

public class ParserExample {
	public static void main(String[] args) throws IOException {
		Duration maxNanos = Duration.of(0, ChronoUnit.NANOS);
		RecordedEvent maxEvent = null;
		for (RecordedEvent event : RecordingFile.readAllEvents(Paths.get(args[0]))) {
			if (event.getEventType().getName().equals("se.hirt.jfr4junit.TestEvent")) {
				Duration nanos = event.getDuration();
				if (!nanos.minus(maxNanos).isNegative()) {
					maxNanos = nanos;
					maxEvent = event;
				}
			}
		}
		System.out.printf("Longest running test was: %s for %ds\n", maxEvent.getValue("displayName"),
				maxNanos.getSeconds());
		System.out.println("Event was:\n" + maxEvent);
	}
}
