package com.oracle.example.jdk9jfr.util;

import java.util.Random;

public final class Utils {
	private static final Random RND = new Random();

	private Utils() {		
	}
	
	public static long randomLong() {
		return RND.nextLong();
	}

	public static String randomString() {
		StringBuilder builder = new StringBuilder();
		for (int i = 0; i < RND.nextInt(10) + 1; i++) {
			builder.append(Character.toString((char) (RND.nextInt(26) + 64)));
		}
		return builder.toString();
	}
	
	public static byte[] longToBytes(long l) {
	    byte[] result = new byte[8];
	    for (int i = 7; i >= 0; i--) {
	        result[i] = (byte)(l & 0xFF);
	        l >>= 8;
	    }
	    return result;
	}
}
